Subject: bug#65380: [PATCH] Add command to copy contents in a diff-mode buffer

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Aug 2023 20:13:53 +0000

>
> Some way of yanking a rectangular selection as though it were a normal 
> region (or some way to put the rectangular selection on the normal kill 
> ring) would be great, and would solve this in a more-general way.
>

These commands exist: C-x r k to kill a rectangular selection, C-x r M-w 
to save it, and C-x r y to yank it.